Lucene++ - a full-featured, c++ search engine
API Documentation

Public Member Functions | Static Public Member Functions | Data Fields
Lucene::DocFieldProcessor Class Reference

This is a DocConsumer that gathers all fields under the same name, and calls per-field consumers to process field by field. This class doesn't doesn't do any "real" work of its own: it just forwards the fields to a DocFieldConsumer. More...

`#include <DocFieldProcessor.h>`

Inheritance diagram for Lucene::DocFieldProcessor:

## Public Member Functions

| DocFieldProcessor (const DocumentsWriterPtr &docWriter, const DocFieldConsumerPtr &consumer)
virtual | ~DocFieldProcessor ()
virtual String | getClassName ()
boost::shared_ptr< DocFieldProcessor > | shared_from_this ()
virtual void | closeDocStore (const SegmentWriteStatePtr &state)
virtual void | flush (Collection< DocConsumerPerThreadPtr > threads, const SegmentWriteStatePtr &state)
virtual void | abort ()
virtual bool | freeRAM ()
virtual DocConsumerPerThreadPtr | addThread (const DocumentsWriterThreadStatePtr &perThread)
Public Member Functions inherited from Lucene::DocConsumer
virtual | ~DocConsumer ()
boost::shared_ptr< DocConsumer > | shared_from_this ()
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()
Static Public Member Functions inherited from Lucene::DocConsumer
static String | _getClassName ()

## Data Fields

DocumentsWriterWeakPtr | _docWriter
FieldInfosPtr | fieldInfos
DocFieldConsumerPtr | consumer
StoredFieldsWriterPtr | fieldsWriter

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Detailed Description

This is a DocConsumer that gathers all fields under the same name, and calls per-field consumers to process field by field. This class doesn't doesn't do any "real" work of its own: it just forwards the fields to a DocFieldConsumer.

## Constructor & Destructor Documentation

## ◆ DocFieldProcessor()

Lucene::DocFieldProcessor::DocFieldProcessor | ( | const DocumentsWriterPtr & | docWriter,
|  | const DocFieldConsumerPtr & | consumer
| ) |  |

## ◆ ~DocFieldProcessor()

virtual Lucene::DocFieldProcessor::~DocFieldProcessor | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

static String Lucene::DocFieldProcessor::_getClassName | ( |  | ) |

inline static

## ◆ abort()

virtual void Lucene::DocFieldProcessor::abort | ( |  | ) |

virtual

Implements Lucene::DocConsumer.

## ◆ addThread()

virtual DocConsumerPerThreadPtr Lucene::DocFieldProcessor::addThread | ( | const DocumentsWriterThreadStatePtr & | perThread | ) |

virtual

Implements Lucene::DocConsumer.

## ◆ closeDocStore()

virtual void Lucene::DocFieldProcessor::closeDocStore | ( | const SegmentWriteStatePtr & | state | ) |

virtual

Implements Lucene::DocConsumer.

## ◆ flush()

virtual void Lucene::DocFieldProcessor::flush | ( | Collection< DocConsumerPerThreadPtr > | threads,
|  | const SegmentWriteStatePtr & | state
| ) |  |

virtual

Implements Lucene::DocConsumer.

## ◆ freeRAM()

virtual bool Lucene::DocFieldProcessor::freeRAM | ( |  | ) |

virtual

Implements Lucene::DocConsumer.

## ◆ getClassName()

virtual String Lucene::DocFieldProcessor::getClassName | ( |  | ) |

inline virtual

Reimplemented from Lucene::DocConsumer.

## ◆ shared_from_this()

boost::shared_ptr< DocFieldProcessor > Lucene::DocFieldProcessor::shared_from_this | ( |  | ) |

inline

## Field Documentation

## ◆ _docWriter

DocumentsWriterWeakPtr Lucene::DocFieldProcessor::_docWriter

## ◆ consumer

DocFieldConsumerPtr Lucene::DocFieldProcessor::consumer

## ◆ fieldInfos

FieldInfosPtr Lucene::DocFieldProcessor::fieldInfos

## ◆ fieldsWriter

StoredFieldsWriterPtr Lucene::DocFieldProcessor::fieldsWriter

The documentation for this class was generated from the following file:

- DocFieldProcessor.h

clucene.sourceforge.net